package com.engine.salary.util.valid;

import java.lang.annotation.*;

/**
 * 数据参数合法性注解
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Modify {
    ModifyTypeEnum[] modifyType() default ModifyTypeEnum.TRIM;

    ValueTypeEnum valueType() default ValueTypeEnum.STRING;
}